﻿using AvaloniaApplication2.Models;
using CommunityToolkit.Mvvm.ComponentModel;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvaloniaApplication2.ViewModels
{
   public partial class Page2ViewModel : ViewModelBase
    {
        [ObservableProperty] User editedUser;
        [ObservableProperty] List<Gender> gendersList;
        public Page2ViewModel(int id) 
        {
            GendersList = db.Genders.ToList();
            editedUser = db.Users.Include(x=>x.IdGenderNavigation).FirstOrDefault(x=>x.IdUser == id);            
        }
        public DateTimeOffset DateTimeOffset
        {
            get => new DateTimeOffset((DateTime)EditedUser.BirthDate, TimeSpan.Zero);
            set => EditedUser.BirthDate = new DateTime(value.Year, value.Month, value.Day);
        }

        public void GoBack() => MainWindowViewModel.Self.Page = new Page1();

        public void Save() => db.SaveChanges();
    }
}
